BlockIO Class Reference

`#include <BlockIO.h>`

Collaboration diagram for BlockIO:

## Public Member Functions

| BlockIO ()
| ~BlockIO ()
void | AssociateBuffer (char **newBuffer)
unsigned int | ReadBlock (const int fd, const UInt32 blockNum)
unsigned int | WriteBlock (const int fd, const UInt32 blockNum)

## Constructor & Destructor Documentation

## BlockIO()

BlockIO::BlockIO | ( |  | ) |

## ~BlockIO()

BlockIO::~BlockIO | ( |  | ) |

## Member Function Documentation

## AssociateBuffer()

void BlockIO::AssociateBuffer | ( | char ** | newBuffer | ) |

## ReadBlock()

unsigned int BlockIO::ReadBlock | ( | const int | fd,
|  | const UInt32 | blockNum
| ) |  |

## WriteBlock()

unsigned int BlockIO::WriteBlock | ( | const int | fd,
|  | const UInt32 | blockNum
| ) |  |

The documentation for this class was generated from the following file:

- rcsb/BlockIO.h